#!/usr/local/bin/ruby19
#  Copyright (C) 2000 Uechi Yasumasa <uh@kondara.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# VERSION = '1.1'

require 'eb'
require 'parsearg'


class String
  require 'nkf'
  
  def fold(width)
    NKF::nkf('-ef' + width.to_s, self)
  end
end


def show_usage
  print "Usage:\n"
  print "#{$0} -d dictionary_path [-f width] word\n"
end
$USAGE = 'show_usage'

parseArgs(0, "d", nil, "d:", "f:80")

dic = $OPT_d
width = $OPT_f


if ARGV.size == 0
  word = gets.chomp
else
  word = ARGV.shift
end

if word == nil
  show_usage
  exit 0 
end

b = EB::Book.new
b.bind(dic)
b.subbook = 0

b.exactsearch(word) do |i|
  print "===\n"
#  print i[1].fold(width)
  i[1].each do |l|
    print l.fold(width)
  end
end
