#!/bin/sh
# Search for the specified word by specified Web search engine site.
# Default Web site is Goo(http://www.goo.ne.jp/) due to a trivial historical reason.
#

progname=$0
version=0.5.0
usage="\
Usage: $progname
Read a word from standard input, and search for the word by specified Web search engine.
Show the search result on Netscase's Web browser.
  -e, --engine       {goo|yahoo|infoseek|...}
                     specify a Web search engine.
  -h, --help         print this help and exit
  -v, --version      print version information and exit"

# Netscape's Web browser path
NETSCAPE=netscape
# Default Web search engine site
WEBSITE="goo"

# Option processing
while [ "$1" != "" ]
do
	case "$1" in
	-e | --engine) 
		shift
		test $# -eq 0 && { echo "$usage"; exit 0; }
		WEBSITE="$1" ;;
	-h | --help) 
		echo "$usage"; exit 0;;
	-v | --version | --v*)
		echo "$progname $version"; exit 0;;
	--) # Stop option processing.
		shift; break ;;
	*)	
		break ;;
	esac
	shift	
done


# Check necessary files
if [ ! -x $NETSCAPE ]
then
	echo "Warning:"
	echo "You can't execute $NETSCAPE."
	exit 0
fi

# target word from standard input
read target

# Search for the target word
case "$WEBSITE" in
google)
	URL="http://www.google.com/search?q=$target";;
google-bsd)
	URL="http://www.google.com/search?restrict=bsd&q=$target";;
freebsd-cvsweb)
	URL="http://www.FreeBSD.org/cgi/cvsweb.cgi/$target";;
freebsd-pr)
	URL="http://www.FreeBSD.org/cgi/query-pr.cgi?pr=$target";;
yahoo.co.jp)
	URL="http://search.yahoo.co.jp/bin/search?p=$target";;
yahoo | yahoo.com | yahoo*)
	URL="http://ink.yahoo.com/bin/query?p=$target";;
japan.infoseek* | infoseek.*.jp)
	URL="http://japan.infoseek.com/Titles?qt=$target";;
infoseek*)
	URL="http://infoseek.go.com/Titles?qt=$target";;
goo | *)
	URL="http://www.goo.ne.jp/default.asp?MT=$target";;
esac

$NETSCAPE -raise -remote "openURL($URL)"
